Package org.eclipse.gef.ui.actions

# Class ToggleRulerVisibilityAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.gef.ui.actions.ToggleRulerVisibilityAction

All Implemented Interfaces:
  `IAction`

public class ToggleRulerVisibilityAction extends Action
An action that toggles the ruler `visibility` property on the given viewer. This action can handle the case where that property is not set on the viewer initially.

Since:
  3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`protected GraphicalViewer`
`diagramViewer`
The viewer whose ruler visibility property is to be toggled

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`ToggleRulerVisibilityAction(GraphicalViewer diagramViewer)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isChecked()`
`void`
`run()`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### diagramViewer

protected GraphicalViewer diagramViewer
The viewer whose ruler visibility property is to be toggled

## Constructor Details

### ToggleRulerVisibilityAction

public ToggleRulerVisibilityAction(GraphicalViewer diagramViewer)
Constructor

Parameters:
  `diagramViewer` - the viewer whose ruler visibility property is to be toggled

## Method Details

### isChecked

public boolean isChecked()

Specified by:
  `isChecked` in interface `IAction`
Overrides:
  `isChecked` in class `Action`
See Also:
  - `IAction.isChecked()`

### run

public void run()

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`
See Also:
  - `IAction.run()`